com.ibm.openpages.api.workflow

## Interface IWFTransition

-     public interface IWFTransition

  Interface that represents the workflow transition, which is operated by a user on the task view. When a transition is operated, the workflow system executes the following operations: - completion of current activity - creation of target activity - post activity actions - transition actions - pre activity actions for the target activity
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IWFAction>` | `getActions()` Returns the list of actions executed during the transition operation.
    `java.lang.String` | `getBodyKeyToNotifyActionCompleted()` Returns application text key that is used as a template for body of notification that is sent to the user who submitted a background transition when that transition has completed.
    `java.lang.String` | `getBodyKeyToNotifyAssignees()` Returns application text key that is used as a template for notification body to assignees.
    `java.lang.String` | `getBodyKeyToNotifySubscribers()` Returns application text key that is used as a template for notification body to subscribers.
    `java.lang.String` | `getBodyKeyToNotifyWorkflowCompleted()` Returns application text key that is used as a template for body of notification that is sent to the oversight and other actors when the workflow has completed.
    `java.lang.String` | `getCommentPromptKey()` Returns application text key that is used as the default prompt for the transition comment.
    `WFTransitionCommentRequirementType` | `getCommentRequirement()` Returns whether the user is required to provide a comment when transitioning the workflow, or if it is optional or not available.
    `IWFConditionEval` | `getCondition()` Returns the condition that tells if this transition is available for users to select on the task view.
    `java.lang.String` | `getName()` Returns name of the transition
    `java.lang.String` | `getNameLabel()` Returns the localized name label of the transition for the user session
    `java.util.List<ILabel>` | `getNameLabels()` Returns the transition name labels for all locales
    `java.lang.String` | `getSubjectKeyToNotifyActionCompleted()` Returns application text key that is used as a template for subject of notification that is sent to the user who submitted a background transition when that transition has completed.
    `java.lang.String` | `getSubjectKeyToNotifyAssignees()` Returns application text key that is used as a template for notification subject to assignees.
    `java.lang.String` | `getSubjectKeyToNotifySubscribers()` Returns application text key that is used as a template for notification subject to subscribers.
    `java.lang.String` | `getSubjectKeyToNotifyWorkflowCompleted()` Returns application text key that is used as a template for subject of notification that is sent to the oversight and other actors when the workflow has completed.
    `java.lang.String` | `getTarget()` Returns the target activity name.
    `java.lang.String` | `getTextOverride()` Returns the override text to replace default text in workflow transition popup
    `java.lang.String` | `getTextOverrideLabel()` Returns the localized text override label of the transition for the user session
    `java.util.List<ILabel>` | `getTextOverrideLabels()` Returns the text override labels for all locales
    `boolean` | `isBackground()` Returns true when the workflow transition is executed in the background.
    `java.lang.Boolean` | `isBulkEnabled()` Returns whether the transition can be performed in bulk.
    `boolean` | `isDefault()` Returns whether this is the default transition.
    `boolean` | `isNotifyAssignees()` Returns true when the workflow transition sends notifications to assignees.
    `boolean` | `isNotifySubscribers()` Returns true when the workflow transition sends notifications to subscribers.
    `java.lang.Boolean` | `isTextOverrideEnabled()`
    `void` | `setActions(java.util.List<IWFAction> actions)` Assigns the list of actions.
    `void` | `setBackground(boolean background)` Sets if the workflow transition is executed in the background
    `void` | `setBodyKeyToNotifyActionCompleted(java.lang.String bodyKey)` Sets application text key that is used as a template for body of notification that is sent to the user who submitted a background transition when that transition has completed.
    `void` | `setBodyKeyToNotifyAssignees(java.lang.String bodyKey)` Sets application text key that is used as a template for notification body to assignees.
    `void` | `setBodyKeyToNotifySubscribers(java.lang.String bodyKey)` Sets application text key that is used as a template for notification body to subscribers.
    `void` | `setBodyKeyToNotifyWorkflowCompleted(java.lang.String bodyKey)` Sets application text key that is used as a template for body of notification that is sent to the oversight and other actors when the workflow has completed.
    `void` | `setBulkEnabled(java.lang.Boolean bulkEnabled)` Assigns whether the transition can be performed in bulk.
    `void` | `setCommentPromptKey(java.lang.String commentPromptKey)` Sets application text key that is used as the default prompt for the transition comment.
    `void` | `setCommentRequirement(WFTransitionCommentRequirementType commentRequirement)` Sets whether the user is required to provide a comment when transitioning the workflow, or if it is optional or not available.
    `void` | `setCondition(IWFConditionEval condition)` Assigns the condition for the transition availability.
    `void` | `setDefault(boolean isDefault)` Assigns whether this is the default transition.
    `void` | `setName(java.lang.String transitionName)` Assigns the name of the transition
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of transition name labels
    `void` | `setNotifyAssignees(boolean notify)` Sets if the workflow transition sends notifications to assignees.
    `void` | `setNotifySubscribers(boolean notify)` Sets if the workflow transition sends notifications to subscribers.
    `void` | `setSubjectKeyToNotifyActionCompleted(java.lang.String subjectKey)` Sets application text key that is used as a template for subject of notification that is sent to the user who submitted a background transition when that transition has completed.
    `void` | `setSubjectKeyToNotifyAssignees(java.lang.String subjectKey)` Sets application text key that is used as a template for notification subject to assignees.
    `void` | `setSubjectKeyToNotifySubscribers(java.lang.String subjectKey)` Sets application text key that is used as a template for notification subject to subscribers.
    `void` | `setSubjectKeyToNotifyWorkflowCompleted(java.lang.String subjectKey)` Sets application text key that is used as a template for subject of notification that is sent to the oversight and other actors when the workflow has completed.
    `void` | `setTarget(java.lang.String targetTaskName)` Assigns the target activity name.
    `void` | `setTextOverride(java.lang.String textOverride)` Assigns text to replace default text in workflow transition popup
    `void` | `setTextOverrideEnabled(java.lang.Boolean textOverrideEnabled)` Set whether or not text override is enabled
    `void` | `setTextOverrideLabels(java.util.List<ILabel> textOverrideLabels)` Sets the list of text to replace default text in workflow transition popup

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns name of the transition
      Returns:

    - #### setName

          void setName(java.lang.String transitionName)

      Assigns the name of the transition
      Parameters:
        `transitionName` -

    - #### getNameLabel

          java.lang.String getNameLabel()

      Returns the localized name label of the transition for the user session
      Returns:
        the localized name label as a string

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the transition name labels for all locales
      Returns:
        `ILabel` the transition name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of transition name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getTarget

          java.lang.String getTarget()

      Returns the target activity name.
      Returns:

    - #### setTarget

          void setTarget(java.lang.String targetTaskName)

      Assigns the target activity name.
      Parameters:
        `targetTaskName` -

    - #### isDefault

          boolean isDefault()

      Returns whether this is the default transition. The gateway activity ( `WFActivityType.gateway` ) defaults to the transition when the condition of other transition is not met.
      Returns:

    - #### setDefault

          void setDefault(boolean isDefault)

      Assigns whether this is the default transition.
      Parameters:
        `isDefault` -

    - #### getActions

          java.util.List<IWFAction> getActions()

      Returns the list of actions executed during the transition operation.
      Returns:

    - #### setActions

          void setActions(java.util.List<IWFAction> actions)

      Assigns the list of actions.
      Parameters:
        `actions` -

    - #### getCondition

          IWFConditionEval getCondition()

      Returns the condition that tells if this transition is available for users to select on the task view.
      Returns:

    - #### setCondition

          void setCondition(IWFConditionEval condition)

      Assigns the condition for the transition availability.
      Parameters:
        `condition` -

    - #### isBackground

          boolean isBackground()

      Returns true when the workflow transition is executed in the background. In other words, the subsequent actions and transition operations are executed without waiting for the completion of the action.
      Returns:

    - #### setBackground

          void setBackground(boolean background)

      Sets if the workflow transition is executed in the background
      Parameters:
        `background` -

    - #### isNotifyAssignees

          boolean isNotifyAssignees()

      Returns true when the workflow transition sends notifications to assignees.
      Returns:

    - #### setNotifyAssignees

          void setNotifyAssignees(boolean notify)

      Sets if the workflow transition sends notifications to assignees.
      Parameters:
        `notify` -

    - #### isNotifySubscribers

          boolean isNotifySubscribers()

      Returns true when the workflow transition sends notifications to subscribers.
      Returns:

    - #### setNotifySubscribers

          void setNotifySubscribers(boolean notify)

      Sets if the workflow transition sends notifications to subscribers.
      Parameters:
        `notify` -

    - #### getSubjectKeyToNotifyAssignees

          java.lang.String getSubjectKeyToNotifyAssignees()

      Returns application text key that is used as a template for notification subject to assignees.
      Returns:

    - #### setSubjectKeyToNotifyAssignees

          void setSubjectKeyToNotifyAssignees(java.lang.String subjectKey)

      Sets application text key that is used as a template for notification subject to assignees.
      Parameters:
        `subjectKey` -

    - #### getBodyKeyToNotifyAssignees

          java.lang.String getBodyKeyToNotifyAssignees()

      Returns application text key that is used as a template for notification body to assignees.
      Returns:

    - #### setBodyKeyToNotifyAssignees

          void setBodyKeyToNotifyAssignees(java.lang.String bodyKey)

      Sets application text key that is used as a template for notification body to assignees.
      Parameters:
        `bodyKey` -

    - #### getSubjectKeyToNotifySubscribers

          java.lang.String getSubjectKeyToNotifySubscribers()

      Returns application text key that is used as a template for notification subject to subscribers.
      Returns:

    - #### setSubjectKeyToNotifySubscribers

          void setSubjectKeyToNotifySubscribers(java.lang.String subjectKey)

      Sets application text key that is used as a template for notification subject to subscribers.
      Parameters:
        `subjectKey` -

    - #### getBodyKeyToNotifySubscribers

          java.lang.String getBodyKeyToNotifySubscribers()

      Returns application text key that is used as a template for notification body to subscribers.
      Returns:

    - #### setBodyKeyToNotifySubscribers

          void setBodyKeyToNotifySubscribers(java.lang.String bodyKey)

      Sets application text key that is used as a template for notification body to subscribers.
      Parameters:
        `bodyKey` -

    - #### getSubjectKeyToNotifyActionCompleted

          java.lang.String getSubjectKeyToNotifyActionCompleted()

      Returns application text key that is used as a template for subject of notification that is sent to the user who submitted a background transition when that transition has completed.
      Returns:

    - #### setSubjectKeyToNotifyActionCompleted

          void setSubjectKeyToNotifyActionCompleted(java.lang.String subjectKey)

      Sets application text key that is used as a template for subject of notification that is sent to the user who submitted a background transition when that transition has completed.
      Parameters:
        `subjectKey` -

    - #### getBodyKeyToNotifyActionCompleted

          java.lang.String getBodyKeyToNotifyActionCompleted()

      Returns application text key that is used as a template for body of notification that is sent to the user who submitted a background transition when that transition has completed.
      Returns:

    - #### setBodyKeyToNotifyActionCompleted

          void setBodyKeyToNotifyActionCompleted(java.lang.String bodyKey)

      Sets application text key that is used as a template for body of notification that is sent to the user who submitted a background transition when that transition has completed.
      Parameters:
        `subjectKey` -

    - #### getSubjectKeyToNotifyWorkflowCompleted

          java.lang.String getSubjectKeyToNotifyWorkflowCompleted()

      Returns application text key that is used as a template for subject of notification that is sent to the oversight and other actors when the workflow has completed.
      Returns:

    - #### setSubjectKeyToNotifyWorkflowCompleted

          void setSubjectKeyToNotifyWorkflowCompleted(java.lang.String subjectKey)

      Sets application text key that is used as a template for subject of notification that is sent to the oversight and other actors when the workflow has completed.
      Parameters:
        `subjectKey` -

    - #### getBodyKeyToNotifyWorkflowCompleted

          java.lang.String getBodyKeyToNotifyWorkflowCompleted()

      Returns application text key that is used as a template for body of notification that is sent to the oversight and other actors when the workflow has completed.
      Returns:

    - #### setBodyKeyToNotifyWorkflowCompleted

          void setBodyKeyToNotifyWorkflowCompleted(java.lang.String bodyKey)

      Sets application text key that is used as a template for body of notification that is sent to the oversight and other actors when the workflow has completed.
      Parameters:
        `subjectKey` -

    - #### getCommentRequirement

          WFTransitionCommentRequirementType getCommentRequirement()

      Returns whether the user is required to provide a comment when transitioning the workflow, or if it is optional or not available.
      Returns:

    - #### setCommentRequirement

          void setCommentRequirement(WFTransitionCommentRequirementType commentRequirement)

      Sets whether the user is required to provide a comment when transitioning the workflow, or if it is optional or not available.
      Parameters:
        `commentRequirement` -

    - #### getCommentPromptKey

          java.lang.String getCommentPromptKey()

      Returns application text key that is used as the default prompt for the transition comment.
      Returns:

    - #### setCommentPromptKey

          void setCommentPromptKey(java.lang.String commentPromptKey)

      Sets application text key that is used as the default prompt for the transition comment.
      Parameters:
        `commentPromptKey` -

    - #### isBulkEnabled

          java.lang.Boolean isBulkEnabled()

      Returns whether the transition can be performed in bulk.
      Returns:

    - #### setBulkEnabled

          void setBulkEnabled(java.lang.Boolean bulkEnabled)

      Assigns whether the transition can be performed in bulk.
      Parameters:
        `bulkEnabled` -

    - #### getTextOverride

          java.lang.String getTextOverride()

      Returns the override text to replace default text in workflow transition popup
      Returns:

    - #### setTextOverride

          void setTextOverride(java.lang.String textOverride)

      Assigns text to replace default text in workflow transition popup
      Parameters:
        `bulkEnabled` -

    - #### getTextOverrideLabels

          java.util.List<ILabel> getTextOverrideLabels()

      Returns the text override labels for all locales
      Returns:

    - #### setTextOverrideLabels

          void setTextOverrideLabels(java.util.List<ILabel> textOverrideLabels)

      Sets the list of text to replace default text in workflow transition popup
      Parameters:
        `textOverrideLabels` -

    - #### getTextOverrideLabel

          java.lang.String getTextOverrideLabel()

      Returns the localized text override label of the transition for the user session
      Returns:
        the localized text override label as a string

    - #### isTextOverrideEnabled

          java.lang.Boolean isTextOverrideEnabled()

      Returns:
        true if the textOverride is enabled

    - #### setTextOverrideEnabled

          void setTextOverrideEnabled(java.lang.Boolean textOverrideEnabled)

      Set whether or not text override is enabled
      Parameters:
        `textOverrideEnabled` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.